user www-data;
worker_processes 8;

error_log /var/log/nginx/error_log.nginx error;

#pid logs/nginx.pid;

events {
  worker_connections 1024;
  use epoll;
}

http {
  access_log off;

  include       mime.types;
  default_type  application/octet-stream;
  index index.html index.htm;

  server_names_hash_max_size 8192;
  server_names_hash_bucket_size 512;

  sendfile      on;
  tcp_nopush    on;
  tcp_nodelay   on;
  #keepalive_timeout    0;
  keepalive_timeout     35s;
  proxy_connect_timeout       600;
  proxy_send_timeout          600;
  proxy_read_timeout          600;
  send_timeout                600;
  reset_timedout_connection on;
  proxy_buffers 64 4k;
  ssl_protocols TLSv1 TLSv1.1 TLSv1.2;

  #gzip off;
  gzip on;
  gzip_types text/css application/x-javascript text/plain;
  gzip_comp_level 6;
  gzip_min_length 100;
  gzip_http_version 1.0;
  gzip_proxied any;
  gzip_vary on;

  include       admin_configs/*.conf;
  include       shared_configs/*.conf;
}

